<script lang="ts" setup>
defineProps({
  navigationItems: {
    type: Array as PropType<{ id: string; text: string }[]>,
    required: true,
  },
  slotContent: {
    type: Array<object>,
  },
});
</script>

<template>
  <SlpContainer>
    <SlpSideNavigation position="right" :navigation-items="navigationItems">
      <template v-for="(component, index) of slotContent" :key="index">
        <keep-alive>
          <CommonCopyMedia v-bind="component.componentContent" />
        </keep-alive>
      </template>
    </SlpSideNavigation>
  </SlpContainer>
</template>

<style lang="scss" scoped></style>
